#!/bin/bash -e

echo "======================= Installing gcc 9.3.0 ======================"
add-apt-repository -y ppa:ubuntu-toolchain-r/test
apt-get update
apt-get install \
  gcc-9=9* \
  g++-9=9*
update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-9 90 --slave /usr/bin/g++ g++ /usr/bin/g++-9
update-alternatives --install /usr/bin/gcov gcov /usr/bin/gcov-9 90
gcc --version
echo "================== Successfully Installed gcc 9.3.0 ==============="

echo "=================== Install packages for cpp ======================"

apt-get install && apt-get install \
  autoconf \
  automake \
  ccache \
  libssl-dev

CLANG_VERSION=9.0.1*
echo "==================== Installing clang $CLANG_VERSION ==============="
apt-get install clang-9=1:"$CLANG_VERSION"
update-alternatives --install /usr/bin/clang clang /usr/bin/clang-9 90 --slave /usr/bin/clang++ clang++ /usr/bin/clang++-9
clang --version
echo "============= Successfully Installed clang $CLANG_VERSION ==========="
